Skip to main content
POST
/
mdts
/
{mdtId}
/
calls
Create a dispatch call
curl --request POST \
  --url https://api.northca.dev/v1/mdts/{mdtId}/calls \
  --header 'Content-Type: application/json' \
  --header 'x-discord-guild: <x-discord-guild>' \
  --header 'x-partner-key: <api-key>' \
  --data '
{
  "classification": "TRAFFIC STOP",
  "description": "Vehicle stopped for speeding",
  "location": "Mango St & 67th Ave",
  "status": "open",
  "priority": "low",
  "units_assigned": [
    "ADAM-12"
  ]
}
'
{
  "ok": true,
  "data": {
    "id": "<string>",
    "mdt_code": "<string>",
    "classification": "<string>",
    "description": "<string>",
    "location": "<string>",
    "status": "<string>",
    "call_type": "<string>",
    "priority": "<string>",
    "units_assigned": [
      "<string>"
    ],
    "created_by": "<string>",
    "created_by_discord_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-partner-key
string
header
required

Partner API key provided by Northca.

Headers

x-discord-guild
string
required

Discord Guild ID (server/guild context for the request).

x-discord-actor
string

Discord User ID for the acting user (optional; used for audit fields).

Path Parameters

mdtId
string
required

MDT ID.

Body

application/json
id
string

Optional. If not provided, the server generates an ID.

classification
string | null
description
string | null
location
string | null
status
string | null

Optional. Defaults to "open".

call_type
string | null
priority
string | null
units_assigned
string[] | null
created_by
string | null

Response

Created call.

ok
boolean
required
data
object
required

Dispatch call record.